### Enumeration

# GExiv2 XmpFormatFlags

#### Declaration

    flags GExiv2.XmpFormatFlags

#### Description [src]

Options to control the format of the serialized XMP packet Taken from: exiv2/src/xmp.hpp.

#### Members

`GEXIV2_OMIT_PACKET_WRAPPER`

  Omit the XML packet wrapper.

  - Value: `16`
  - Available since: 0.16
`GEXIV2_READ_ONLY_PACKET`

  Default is a writeable packet.

  - Value: `32`
  - Available since: 0.16
`GEXIV2_USE_COMPACT_FORMAT`

  Use a compact form of RDF.

  - Value: `64`
  - Available since: 0.16
`GEXIV2_INCLUDE_THUMBNAIL_PAD`

  Include a padding allowance for a thumbnail image.

  - Value: `256`
  - Available since: 0.16
`GEXIV2_EXACT_PACKET_LENGTH`

  The padding parameter is the overall packet length.

  - Value: `512`
  - Available since: 0.16
`GEXIV2_WRITE_ALIAS_COMMENTS`

  Show aliases as XML comments.

  - Value: `1024`
  - Available since: 0.16
`GEXIV2_OMIT_ALL_FORMATTING`

  Omit all formatting whitespace.

  - Value: `2048`
  - Available since: 0.16